Pressing on the "Subscribe" button to download my purchased music didn't work.

Bug #776836 reported by Anmar Oueja on 2011-05-04
60
This bug affects 11 people
Affects Status Importance Assigned to Milestone
libubuntuone
Undecided
Unassigned
libubuntuone (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: banshee

I have a fresh install. When I launched Banshee to buy an album, I got all the way to list of downloads and then I noticed the "subscribe" button , as per screenshot. pressing this button didn't do much really.

I had to launch the gtk control panel for UbuntuOne and select the music folder for local syncing. Only then the Music was downloaded.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: banshee-extension-ubuntuonemusicstore 2.0.0-2ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Tue May 3 21:30:25 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: banshee
UpgradeStatus: No upgrade log present (probably fresh install)

Anmar Oueja (anmar) wrote :
Victor Vargas (kamus) on 2011-05-04
Changed in banshee (Ubuntu):
importance: Undecided → Medium
dobey (dobey) wrote :

Can you run banshee in a terminal, and attach the output to this report as well? Seems like maybe there is an odd error case we are not handling correctly. Also, if you open the Ubuntu One control panel, what does it show as the status? Is it not connected?

affects: banshee (Ubuntu) → libubuntuone (Ubuntu)
Changed in libubuntuone:
status: New → Incomplete
Michael Terry (mterry) wrote :

From a dup I filed, here's the terminal output:

"""
** (Banshee:7558): WARNING **: Error calling get_info: Process /usr/lib/ubuntuone-client/ubuntuone-syncdaemon exited with status 1

** (Banshee:7558): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (Banshee:7558): CRITICAL **: syncdaemon_folders_interface_subscribe: assertion `folder_id != NULL' failed
"""

Andy Doan (doanac) wrote :

This is extremely annoying. Basically I'm now blocked from listening to music the I've PURCHASED. I'm on Natty with all updates applied.

Here's my console output:
~$ banshee
[Info 14:43:41.883] Running Banshee 2.0.0: [Ubuntu 11.04 (linux-gnu, i686) @ 2011-06-28 05:46:57 UTC]
[Info 14:43:42.986] Updating web proxy from GConf
[Info 14:43:43.033] All services are started 0.943324
** (Banshee:25318): DEBUG: SyncDaemon already running, initializing SyncdaemonDaemon object

(Banshee:25318): libsoup-WARNING **: No feature manager for feature of type 'U1RequestChrome'

** (Banshee:25318): WARNING **: Error calling get_info: Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/dbus/service.py", line 702, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/platform/linux/dbus_interface.py", line 992, in get_info
    return self.syncdaemon_folders.get_info(path)
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/syncdaemon/interaction_interfaces.py", line 634, in get_info
    mdobj = self.fs.get_by_path(path.encode('utf-8'))
  File "/usr/lib/pymodules/python2.7/ubuntuone-client/ubuntuone/syncdaemon/filesystem_manager.py", line 773, in get_by_path
    mdid = self._idx_path[path]
KeyError: '/home/doanac/.ubuntuone/Purchased from Ubuntu One'

** (Banshee:25318): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (Banshee:25318): WARNING **: Error rescanning Purchased Music: No such file or directory
** (Banshee:25318): DEBUG: Loading the real store page
[Info 14:43:44.222] nereid Client Started
[Info 14:43:44.303] GStreamer version 0.10.32.0, gapless: True, replaygain: False
[Info 14:43:44.349] AppleDeviceSource is ignoring unmounted volume 105 GB Filesystem
[Info 14:43:44.431] AppleDeviceSource is ignoring unmounted volume 75 GB Filesystem
[Info 14:43:44.439] AppleDeviceSource is ignoring unmounted volume floppy0
** Message: console message: undefined @0: ReferenceError: Can't find variable: datapath

Changed in libubuntuone (Ubuntu):
status: New → Confirmed
Keith Nasman (keithnasman) wrote :

I just experienced this. It is annoying. I restarted Banshee and the Subscribe button was clickable this time. I then noticed that my "envelope" up near the clock was blue. Clicking this showed Ubuntu One at the bottom and clicking that showed me that I was synchronizing a folder. After a bit Banshee's "Recently Added" folder started to show my purchases. It isn't good UI to not have Banshee show that downloads are in progress. Neither is it good to have the downloads not show in your "Music" directory and no reference in the Preferences to Banshee knowing about the ~/.ubuntuone directory.

PeterPall (peterpall) wrote :

On my computer after buying something banshe becomes completely inresponsive and starts outputting an endless number of lines to the console each one reading:

** Message: console message: undefined @0: ReferenceError: Can't find variable: datapath

If this is the case for you, too, please feel free to mark Bug #869701 as an duplicate of this one.

Justin Force (justin-force) wrote :

@peterpall: Thank you for your contribution, but this was not the error that I encountered.

kirovs (kirovs) wrote :

This bug should be critical. After all this brings money to Ubuntu. It is very disturbing indeed.

andre (schroedinger) wrote :

I can confirm this.

I created "~/.ubuntuone/Purchased from Ubuntu One" manually and restarted my computer. Then after opening banshee, Ubuntu One discovered the new folder as new cloud folder.

I then opened Ubuntu One > Cloud Folders and marked folder "Purchased Music" for "Sync locally".

When I open Banshee, I get the following message:
"MP3 Playback support is not available. It must be installed to play previews and purchased music on this computer".
Pressing "Install" and entering my password doesn't change the situation.

I'm not sure whether it really syncs now. It's saying "0.4MB of 5.2MB downloaded" for quite some time already...

PeterPall (peterpall) wrote :

Sometimes it is possible to download the music from https://one.ubuntu.com/files/ if it does not download automatically.

John Karahalis (openjck) wrote :

Surprised that this bug has still not been resolved. It seems to be impossible to download music from Ubuntu One as a result.

The workaround described in comment #9 doesn't work for me. Is there any other workaround we could try?

John Karahalis (openjck) wrote :

Console output with Rhythmbox on 12.04:

$ rhythmbox

(rhythmbox:3189): libdmapsharing-WARNING **: DACP browsing not started

(rhythmbox:3189): libdmapsharing-WARNING **: DACP browsing not started

** (rhythmbox:3189): WARNING **: Error calling get_info: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (rhythmbox:3189): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (rhythmbox:3189): WARNING **: Error calling get_info: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (rhythmbox:3189): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (rhythmbox:3189): CRITICAL **: syncdaemon_folders_interface_subscribe: assertion `folder_id != NULL' failed

bwat47 (bwat47) wrote :

A workaround that worked for me with rhythmbox:

1. Open ubuntu one client, uncheck the "purchased music folder", close it.

2. Open rhythmbox, click my downloads, click subscribe when it asks.

You will noticed purchase music is now checked in the client, and the subscribe button no longer pops up.

John Karahalis (openjck) wrote :

Still seeing this in 12.10. Unable to use the workaround in comment #13 as I get an IPCError whenever I try to use the Ubuntu One client.

dobey (dobey) on 2013-05-20
Changed in libubuntuone:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers